<div class="contenedor">
  <mat-horizontal-stepper [linear]="isLinear" #stepper>
    <mat-step [stepControl]="firstFormGroup">
      <ng-template matStepLabel>Cargue work items</ng-template>
      <form [formGroup]="uploadForm" (ngSubmit)="onSubmit()">
        <mat-card>
          <h1>Cargue de información de <br>Gestión de Trabajo</h1>
          <div class="buttons">

            <input type="file" (change)="onFileChange($event);" name="upLoad" id="upLoad" class="inputfile" />
            <label for="upLoad">
              <svg xmlns="http://www.w3.org/2000/svg" width="20" height="17" viewBox="0 0 20 17">
                <path
                  d="M10 0l-5.2 4.9h3.3v5.1h3.8v-5.1h3.3l-5.2-4.9zm9.3 11.5l-3.2-2.1h-2l3.4 2.6h-3.5c-.1 0-.2.1-.2.1l-.8 2.3h-6l-.8-2.2c-.1-.1-.1-.2-.2-.2h-3.6l3.4-2.6h-2l-3.2 2.1c-.4.3-.7 1-.6 1.5l.6 3.1c.1.5.7.9 1.2.9h16.3c.6 0 1.1-.4 1.3-.9l.6-3.1c.1-.5-.2-1.2-.7-1.5z">
                </path>
              </svg>
              <span class="text-overflow">
                {{file.name}}
              </span>
            </label>
            <br>
            <button type="submit" mat-raised-button color="primary" class="btn btn-success pull-right"
              *ngIf="btnCargue"><i class="fa fa-save fa-fw"></i>Cargar documento</button>
            <br>
            <br>

          </div>

        </mat-card>
      </form>
      <div class="navigator">
        <button matStepperNext mat-raised-button color="green" *ngIf="btnSiguiente"
          (click)="cambiarBtn()">Siguiente</button>
      </div>
      <app-spinner *ngIf="loading"></app-spinner>

    </mat-step>
    <mat-step [stepControl]="secondFormGroup">
      <ng-template matStepLabel>Cargue capacidades</ng-template>
      <form [formGroup]="uploadForm" (ngSubmit)="onSubmit2()">
        <mat-card>
          <h1>Cargue de información de <br>Capacidades por Ingeniero</h1>
          <div class="buttons">

            <input type="file" (change)="onFileChange2($event);" name="upLoad" id="upLoad2" class="inputfile2" />
            <label for="upLoad2">
              <svg xmlns="http://www.w3.org/2000/svg" width="20" height="17" viewBox="0 0 20 17">
                <path
                  d="M10 0l-5.2 4.9h3.3v5.1h3.8v-5.1h3.3l-5.2-4.9zm9.3 11.5l-3.2-2.1h-2l3.4 2.6h-3.5c-.1 0-.2.1-.2.1l-.8 2.3h-6l-.8-2.2c-.1-.1-.1-.2-.2-.2h-3.6l3.4-2.6h-2l-3.2 2.1c-.4.3-.7 1-.6 1.5l.6 3.1c.1.5.7.9 1.2.9h16.3c.6 0 1.1-.4 1.3-.9l.6-3.1c.1-.5-.2-1.2-.7-1.5z">
                </path>
              </svg>
              <span class="text-overflow">
                {{file2.name}}
              </span>
            </label>
            <br>
            <button type="submit" mat-raised-button color="primary" class="btn btn-success pull-right"
              *ngIf="btnCargueCapacidad"><i class="fa fa-save fa-fw"></i>Cargar documento</button>
            <br>
            <br>

          </div>

        </mat-card>
      </form>
      <div class="navigator">
        <button matStepperNext mat-raised-button color="green" *ngIf="btnSiguiente"
          (click)="cambiarBtn()">Siguiente</button>
      </div>
      <app-spinner *ngIf="loading"></app-spinner>
    </mat-step>


    <mat-step [stepControl]="secondFormGroup">
      <ng-template matStepLabel>Calculo</ng-template>
      <mat-card>
        <h1>Calcular indicadores </h1>
        <mat-form-field>
          <input matInput [matDatepicker]="dp" placeholder="Mes y año" [formControl]="date">
          <mat-datepicker-toggle matSuffix [for]="dp"></mat-datepicker-toggle>
          <mat-datepicker #dp startView="multi-year" (yearSelected)="chosenYearHandler($event)"
            (monthSelected)="chosenMonthHandler($event, dp)" panelClass="example-month-picker">
          </mat-datepicker>
        </mat-form-field>
        <button type="submit" mat-raised-button color="primary" (click)="CalcularIndicador()">Calcular</button>
      </mat-card>
      <div class="navigator">
        <button matStepperNext mat-raised-button color="green" *ngIf="btnSiguiente"
          (click)="cambiarBtn()">Siguiente</button>
      </div>
      <app-spinner *ngIf="loading"></app-spinner>
    </mat-step>


    <mat-step [stepControl]="secondFormGroup">
      <ng-template matStepLabel>Ingreso manual</ng-template>
      <form [formGroup]="uploadForm" (ngSubmit)="onSubmit2()">
        <mat-card>
          <div class="buttons">
            <insertar-indicadores></insertar-indicadores>
          </div>

        </mat-card>
      </form>
      <div class="navigator">
        <button routerLink="../vista-indicadores" mat-raised-button color="orange">Ver indicadores desempeño
          individual</button>
      </div>
      <app-spinner *ngIf="loading"></app-spinner>
    </mat-step>
  </mat-horizontal-stepper>
</div>